Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 302)
@@ -151,11 +151,14 @@
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.ColDataFlg = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.label15 = new System.Windows.Forms.Label();
             this.TabCollections = new System.Windows.Forms.TabControl();
             this.btnOtherProc = new System.Windows.Forms.Button();
             this.btnPageDelete = new System.Windows.Forms.Button();
             this.btnChangeCompany = new System.Windows.Forms.Button();
+            this.button1 = new System.Windows.Forms.Button();
+            this.btnLineDelete = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             this.panel2.SuspendLayout();
             this.pnlApproval.SuspendLayout();
@@ -1419,7 +1422,8 @@
             this.Column12,
             this.Column1,
             this.Column2,
-            this.ColDataFlg});
+            this.ColDataFlg,
+            this.Column3});
             this.dgvAllDisplay.EnableHeadersVisualStyles = false;
             this.dgvAllDisplay.Location = new System.Drawing.Point(8, 20);
             this.dgvAllDisplay.Name = "dgvAllDisplay";
@@ -1557,6 +1561,12 @@
             this.ColDataFlg.Name = "ColDataFlg";
             this.ColDataFlg.Visible = false;
             // 
+            // Column3
+            // 
+            this.Column3.HeaderText = "明細番号";
+            this.Column3.Name = "Column3";
+            this.Column3.Visible = false;
+            // 
             // label15
             // 
             this.label15.BackColor = System.Drawing.Color.Cyan;
@@ -1597,10 +1607,10 @@
             // btnPageDelete
             // 
             this.btnPageDelete.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnPageDelete.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
+            this.btnPageDelete.BackColor = System.Drawing.Color.DeepPink;
             this.btnPageDelete.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnPageDelete.ForeColor = System.Drawing.Color.Black;
-            this.btnPageDelete.Location = new System.Drawing.Point(812, 656);
+            this.btnPageDelete.ForeColor = System.Drawing.Color.Yellow;
+            this.btnPageDelete.Location = new System.Drawing.Point(812, 655);
             this.btnPageDelete.Name = "btnPageDelete";
             this.btnPageDelete.Size = new System.Drawing.Size(120, 30);
             this.btnPageDelete.TabIndex = 96;
@@ -1614,7 +1624,7 @@
             this.btnChangeCompany.BackColor = System.Drawing.Color.DeepSkyBlue;
             this.btnChangeCompany.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnChangeCompany.ForeColor = System.Drawing.Color.Black;
-            this.btnChangeCompany.Location = new System.Drawing.Point(686, 655);
+            this.btnChangeCompany.Location = new System.Drawing.Point(500, 655);
             this.btnChangeCompany.Name = "btnChangeCompany";
             this.btnChangeCompany.Size = new System.Drawing.Size(120, 30);
             this.btnChangeCompany.TabIndex = 97;
@@ -1622,6 +1632,35 @@
             this.btnChangeCompany.UseVisualStyleBackColor = false;
             this.btnChangeCompany.Click += new System.EventHandler(this.btnChangeCompany_Click);
             // 
+            // button1
+            // 
+            this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.button1.BackColor = System.Drawing.Color.DarkSlateGray;
+            this.button1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.button1.ForeColor = System.Drawing.Color.White;
+            this.button1.Location = new System.Drawing.Point(193, 656);
+            this.button1.Name = "button1";
+            this.button1.Size = new System.Drawing.Size(120, 30);
+            this.button1.TabIndex = 97;
+            this.button1.Text = "データ変更";
+            this.button1.UseVisualStyleBackColor = false;
+            this.button1.Visible = false;
+            this.button1.Click += new System.EventHandler(this.button1_Click);
+            // 
+            // btnLineDelete
+            // 
+            this.btnLineDelete.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnLineDelete.BackColor = System.Drawing.Color.LightPink;
+            this.btnLineDelete.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnLineDelete.ForeColor = System.Drawing.Color.Red;
+            this.btnLineDelete.Location = new System.Drawing.Point(686, 655);
+            this.btnLineDelete.Name = "btnLineDelete";
+            this.btnLineDelete.Size = new System.Drawing.Size(120, 30);
+            this.btnLineDelete.TabIndex = 96;
+            this.btnLineDelete.Text = "行　削　除";
+            this.btnLineDelete.UseVisualStyleBackColor = false;
+            this.btnLineDelete.Click += new System.EventHandler(this.btnLineDelete_Click);
+            // 
             // FrmPurchaseOrderEntry
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -1628,7 +1667,9 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1344, 692);
+            this.Controls.Add(this.button1);
             this.Controls.Add(this.btnChangeCompany);
+            this.Controls.Add(this.btnLineDelete);
             this.Controls.Add(this.btnPageDelete);
             this.Controls.Add(this.btnOtherProc);
             this.Controls.Add(this.TabCollections);
@@ -1647,6 +1688,7 @@
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
             this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmPurchaseOrderEntry_FormClosing);
             this.Load += new System.EventHandler(this.FrmPurchaseOrderEntry_Load);
+            this.Shown += new System.EventHandler(this.FrmPurchaseOrderEntry_Shown);
             this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmPurchaseOrderEntry_KeyDown);
             this.panel1.ResumeLayout(false);
             this.panel1.PerformLayout();
@@ -1778,6 +1820,7 @@
         private System.Windows.Forms.Button btnPageDelete;
         private System.Windows.Forms.Button btnChangeCompany;
         private System.Windows.Forms.Label lblFixComment;
+        private System.Windows.Forms.Button button1;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column14;
@@ -1791,5 +1834,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
         private System.Windows.Forms.DataGridViewTextBoxColumn ColDataFlg;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+        private System.Windows.Forms.Button btnLineDelete;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 302)
@@ -88,9 +88,9 @@
             /// </summary>
             SourceCode,
             /// <summary>
-            /// 工事台帳行
+            /// 工事台帳明細番号
             /// </summary>
-            LedgerLine,
+            LedgerDetailNo,
             /// <summary>
             /// 予算書金額
             /// </summary>
@@ -497,6 +497,11 @@
         /// 承認済みロックフラグ
         /// </summary>
         bool m_bApprovalLock = false;
+
+        /// <summary>
+        /// 新規データ作成フラグ
+        /// </summary>
+        bool m_bCreateNewData = false;
         #endregion
 
         #region プロパティ
@@ -629,14 +634,6 @@
                 // 自画面初期表示
                 InitDataLoad();
 
-                // 表示位置調整
-                if (m_SubForm)
-                {
-                    this.StartPosition = FormStartPosition.CenterParent;
-                    this.Top += CommonDefine.s_DefalutShiftValue;
-                    this.Left += CommonDefine.s_DefalutShiftValue;
-                }
-
                 // データ変更フラグOFF
                 m_bChengeAns = false;
             }
@@ -905,6 +902,32 @@
         }
         #endregion
 
+        #region 行削除ボタン
+        /// <summary>
+        /// 行削除ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnLineDelete_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 行削除
+                LineRemoveProcess();
+
+                // ページが1ページの時はページ削除ボタン非表示
+                if (m_TabPageList.Count < 2)
+                {
+                    btnPageDelete.Visible = false;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region ページ削除ボタン押下
         /// <summary>
         /// ページ削除ボタン押下
@@ -917,6 +940,12 @@
             {
                 // ページ削除
                 if (!PageRemoveProcess()) return;
+
+                // ページが1ページの時はページ削除ボタン非表示
+                if (m_TabPageList.Count < 2)
+                {
+                    btnPageDelete.Visible = false;
+                }
             }
             catch (Exception ex)
             {
@@ -1664,5 +1693,33 @@
             ChangeCompanyOrders();
         }
         #endregion
+
+        #region デバッグ用ボタン
+        /// <summary>
+        /// デバッグ用ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void button1_Click(object sender, EventArgs e)
+        {
+            FrmPOConvert frm = new FrmPOConvert();
+            frm.ShowDialog();
+            frm.Dispose();
+            frm = null;
+        }
+        #endregion
+
+        #region 画面表示後処理
+        /// <summary>
+        /// 画面表示後処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPurchaseOrderEntry_Shown(object sender, EventArgs e)
+        {
+            // 工事予算書画面表示
+            InitOtherForm();
+        }
+        #endregion
     }
 }
